import { TdengineOptions } from './tdengine-options.interface';
export declare class TdengineService {
    private readonly config;
    private readonly connection;
    private readonly databaseName;
    private readonly dataPurgeInterval;
    private oldtime;
    constructor(config: TdengineOptions);
    createSTable(tableName: string): Promise<void>;
    getTableSchema(tableName: string): Promise<any>;
    insertData(projectId: string, productId: string, iotId: string, identifier: string, time: number, data: any, flag: number): Promise<void>;
    insertLog(projectId: string, productId: string, iotId: string, time: number, infoType: number, commType: number, messageId: string, content: string, topic: string): Promise<void>;
    queryLog(projectId: string, productId: string, iotId: string, startTime: number, endTime: number, pageSize?: number, currentPage?: number, asc?: string, infoType?: number, commType?: number): Promise<any[]>;
    delSTable(tableName: string): Promise<void>;
    queryData(projectId: string, productId: string, iotId: string, identifier: string, startTime: number, endTime: number, pageSize?: number, currentPage?: number, asc?: string): Promise<any[]>;
    queryDataValues(projectId: string, productId: string, iotIds: string[], identifier: string, startTime: number, endTime: number, pageSize?: number, currentPage?: number): Promise<any>;
    delTableData(projectId: string, productId: string, iotId: string, identifier: string, startTime: number, endTime: number): Promise<void>;
    getAllSTables(): Promise<any[]>;
    queryLogStatistics(projectId: string, statisticalType: number): Promise<{
        code: number;
        message: string;
        data: any[];
        requestId?: undefined;
    } | {
        code: number;
        message: string;
        requestId: string;
        data: any[];
    }>;
    private generateEmptyTimeline;
    deleteDeviceSubTables(iotId: string): Promise<void>;
}
